Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Enumerations | Functions
key_constraint.h File Reference
`#include <botan/build.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Enumerations
enum | Botan::Key_Constraints { Botan::NO_CONSTRAINTS = 0, Botan::DIGITAL_SIGNATURE = 1 << 15, Botan::NON_REPUDIATION = 1 << 14, Botan::KEY_ENCIPHERMENT = 1 << 13, Botan::DATA_ENCIPHERMENT = 1 << 12, Botan::KEY_AGREEMENT = 1 << 11, Botan::KEY_CERT_SIGN = 1 << 10, Botan::CRL_SIGN = 1 << 9, Botan::ENCIPHER_ONLY = 1 << 8, Botan::DECIPHER_ONLY = 1 << 7 }

## Functions
std::string | Botan::key_constraints_to_string (Key_Constraints constraints)
void | Botan::verify_cert_constraints_valid_for_key_type (const Public_Key &pub_key, Key_Constraints constraints)